    The XSPEC nsatmos model: NS Hydrogen Atmosphere model with electron conduction and self-irradiation.

xsnsatmos
The xsnsatmos model is an additive model component.

The model is described at [1] .

>>> create_model_component("xsnsatmos", "mdl")
>>> print(mdl)

Create a component of the xsnsatmos model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.LogT_eff thawed 6 5 6.5 K mdl.M_ns thawed 1.4 0.5 3 Msun mdl.R_ns thawed 10 5 30 km mdl.dist thawed 10 0.1 100 kpc mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
LogT_eff
The log of Teff, the unredshifted effective temperature.
M_ns
The neutron star gravitational mass, in units of the solar mass.
R_ns
The "true" neutron star radius, in km.
dist
The distance to the neutron star, in kpc.
norm
The fraction of the neutron star surface emitting.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelNsatmos.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023